# Search by id

The method allows you to find an address belonging to an organization by its ID, regardless of its type

## Description of fields

| Field        | Type                                                   | Description                                                                                    |
| ------------ | ------------------------------------------------------ | ---------------------------------------------------------------------------------------------- |
| `id`         | `string`                                               | ID of the address in the system                                                                |
| `type`       | `enum(PAY_IN, BUSINESS, PAY_OUT, PERSONAL, RECURRENT)` | Address type                                                                                   |
| `alias`      | `string or null`                                       | The name of the address. It is set by the merchant                                             |
| `comment`    | `string or null`                                       | Address comment. It is set by the merchant                                                     |
| `currency`   | `string`                                               | Address coin                                                                                   |
| `network`    | `string`                                               | Address network                                                                                |
| `balance`    | `string`                                               | Address balance                                                                                |
| `address`    | `string`                                               | Address in the blockchain                                                                      |
| `tag`        | `string or null`                                       | The tag (MEMO) of the address. Available for networks that support the tag, for example Ripple |
| `meta`       | `any`                                                  | Meta data. The free field is set by the merchant                                               |
| `isArchived` | `boolean`                                              | The address is in the archive                                                                  |

{% openapi src="/files/sW3pCSavW8K5JCHRyMVw" path="/api-gateway/addresses/find-by-id" method="post" %}
[openapi.json](https://199856430-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fy7yrGizyjjV5OmCw3DcE%2Fuploads%2Fgit-blob-c16b91898f63e16257eb0e0b6bb8d49e7f547d73%2Fopenapi.json?alt=media)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onchainpay.io/api-reference/03addresses/post_find-by-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
